/* -*- C++ -*-
 * Euler - A watchy firmware for crazy people.
 *
 *  Copyright (c) 2021 Sameer Rahmani <lxsameer@gnu.org>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#include "Home.h"

#define DARKMODE true

namespace Euler {

uint8_t Home::getBattery() {
  float VBAT = api.getBatteryVoltage();

  if (VBAT > 3.95 && VBAT <= 4.1) {
    return 2;
  }

  if (VBAT > 3.80 && VBAT <= 3.95) {
    return 1;
  }
  if (VBAT <= 3.80) {
    return 0;
  }

  return 3;
}

void Home::draw() {
  api.display.setFont(&FreeMono12pt7b);
  api.display.setCursor(0, 0);
  api.display.print("\n");
  api.display.printf("%02x %02x %02x %02x %02x", api.currentTime.Month,
                     api.currentTime.Day, api.currentTime.Hour,
                     api.currentTime.Minute, getBattery());
};
} // namespace Euler
